Get collections
Get collections (paginated). Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
GET
/
tokenization
/
collections
TypeScript
const response: Promise<FireblocksResponse<GetLinkedCollectionsPaginatedResponse>> = fireblocks.tokenization.getLinkedCollections(tokenizationApiGetLinkedCollectionsRequest);CompletableFuture<ApiResponse<GetLinkedCollectionsPaginatedResponse>> response = fireblocks.tokenization().getLinkedCollections(pageCursor, pageSize, status);response = fireblocks.tokenization.get_linked_collections(page_cursor, page_size, status);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/collectionsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
"status": "COMPLETED",
"type": "NON_FUNGIBLE_TOKEN",
"displayName": "My Simple ERC721 Collection",
"collectionMetadata": {
"fbCollectionId": "911fe739f0d4d123c98fd366c3bed35c6e30c00e",
"blockchainDescriptor": "ETH",
"name": "Rarible",
"symbol": "RARI",
"standard": [
"ERC721",
"ERC1155",
"FA2"
],
"contractAddress": "0x1723017329a804564bC8d215496C89eaBf1F3211"
}
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
Page cursor to get the next page, for example - "MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="
Number of items per page (max 100), requesting more then 100 will return 100 items
Required range:
1 <= x <= 100Was this page helpful?
Previous
Create a new collectionCreate a new collection and link it as a token.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, and Editor.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetLinkedCollectionsPaginatedResponse>> = fireblocks.tokenization.getLinkedCollections(tokenizationApiGetLinkedCollectionsRequest);CompletableFuture<ApiResponse<GetLinkedCollectionsPaginatedResponse>> response = fireblocks.tokenization().getLinkedCollections(pageCursor, pageSize, status);response = fireblocks.tokenization.get_linked_collections(page_cursor, page_size, status);